/*
 * @author lsy
 * @date   2019-09-03
 **/
import 'package:gmalpha_flutter/Annotations/anno/User.dart';
import 'package:gmalpha_flutter/Annotations/anno/UserCenter.dart';

const String USER_ID = "user_uid";
const String NICKNAME = "username";
const String PORTRAIT = "potrait";
const String GENDER = "gender";
const String PERSONAL_QA = "personal_qa";
const String HAS_SCAN_FACE = "has_scan_face";
const String CURRENT_CITY_ID = "current_city_id";
const String QUESTION_URL = "question_url";
const String DETAIL_SETTED = "detail_setted";
const String BIRTHDAY = "birthday";
const String COUNTRY_ID = "country_id";
const String USER_BIND_MOBILE = "user_bind_mobile";
const String COUNTRY_LANGUAGE = "country_language";
const String COUNTRY_NAME = "country_name";

@UserCenter()
class UserUtil {

  /**
   * 用户id
   */
  @User(USER_ID, "")
  String User_id;
  /**
   * 用户昵称
   */
  @User(NICKNAME, "")
  String nick_name;
  /**
   * 用户头像
   */
  @User(PORTRAIT,"")
  String profile_pic;
  /**
   * 是否需要答题
   */
  @User(PERSONAL_QA,true)
  bool has_answered = true;
  /**
   * 是否扫过脸
   */
  @User(HAS_SCAN_FACE,true)
  bool has_scan_face = false;

  String id;
  @User(GENDER,"")
  String gender;

  @User(CURRENT_CITY_ID,"")
  String city_id;

  @User(BIRTHDAY,0)
  int birth;

  @User(COUNTRY_ID,"")
  String country_id;

  bool logined;
  // 用户是否设置过个人信息
  @User(DETAIL_SETTED,true)
  bool detail_setted = true;

  //用户是否选择了标签
  bool tag_setted = false;
  //注册流程中断后返回之前的登录页面
  @User(QUESTION_URL,"")
  String question_url;

  @User(USER_BIND_MOBILE,true)
  bool is_bind;

  @User(COUNTRY_NAME,"")
  String country_info_name;

  @User(COUNTRY_ID,"")
  String country_info_id;

  @User(COUNTRY_LANGUAGE,"")
  String country_info_language;


  String ins_bind_id;
  String register_time;
}

